import 'package:flex_color_scheme/flex_color_scheme.dart';
import 'package:flutter/material.dart';

class FlexColorSchemeBuilder {
  static ThemeData light = FlexThemeData.light(
    scheme: FlexScheme.flutterDash,
    usedColors: 7,
    surfaceMode: FlexSurfaceMode.highScaffoldLowSurface,
    blendLevel: 4,
    appBarStyle: FlexAppBarStyle.background,
    bottomAppBarElevation: 1.0,
    subThemesData: const FlexSubThemesData(
      blendOnLevel: 10,
      blendOnColors: false,
      blendTextTheme: true,
      useTextTheme: true,
      useM2StyleDividerInM3: true,
      thickBorderWidth: 2.0,
      elevatedButtonSchemeColor: SchemeColor.onPrimaryContainer,
      elevatedButtonSecondarySchemeColor: SchemeColor.primaryContainer,
      inputDecoratorRadius: 19.0,
      inputDecoratorUnfocusedBorderIsColored: false,
      appBarScrolledUnderElevation: 8.0,
      drawerElevation: 1.0,
      drawerWidth: 290.0,
      bottomNavigationBarSelectedLabelSchemeColor: SchemeColor.secondary,
      bottomNavigationBarMutedUnselectedLabel: false,
      bottomNavigationBarSelectedIconSchemeColor: SchemeColor.secondary,
      bottomNavigationBarMutedUnselectedIcon: false,
      navigationBarSelectedLabelSchemeColor: SchemeColor.onSecondaryContainer,
      navigationBarSelectedIconSchemeColor: SchemeColor.onSecondaryContainer,
      navigationBarIndicatorSchemeColor: SchemeColor.secondaryContainer,
      navigationBarIndicatorOpacity: 1.00,
      navigationBarElevation: 1.0,
      navigationBarHeight: 72.0,
      navigationRailSelectedLabelSchemeColor: SchemeColor.onSecondaryContainer,
      navigationRailSelectedIconSchemeColor: SchemeColor.onSecondaryContainer,
      navigationRailIndicatorSchemeColor: SchemeColor.secondaryContainer,
      navigationRailIndicatorOpacity: 1.00,
    ),
    useMaterial3ErrorColors: true,
    visualDensity: FlexColorScheme.comfortablePlatformDensity,
    useMaterial3: true,
    // To use the Playground font, add GoogleFonts package and uncomment
    // fontFamily: GoogleFonts.notoSans().fontFamily,
  );

  static ThemeData dark = FlexThemeData.dark(
    colors: FlexColor.schemes[FlexScheme.flutterDash]!.light.defaultError
        .toDark(40, false),
    usedColors: 7,
    surfaceMode: FlexSurfaceMode.highScaffoldLowSurface,
    blendLevel: 10,
    appBarStyle: FlexAppBarStyle.background,
    bottomAppBarElevation: 2.0,
    subThemesData: const FlexSubThemesData(
      blendOnLevel: 20,
      blendTextTheme: true,
      useTextTheme: true,
      useM2StyleDividerInM3: true,
      thickBorderWidth: 2.0,
      elevatedButtonSchemeColor: SchemeColor.onPrimaryContainer,
      elevatedButtonSecondarySchemeColor: SchemeColor.primaryContainer,
      inputDecoratorRadius: 19.0,
      inputDecoratorUnfocusedBorderIsColored: false,
      drawerElevation: 1.0,
      drawerWidth: 290.0,
      bottomNavigationBarSelectedLabelSchemeColor: SchemeColor.secondary,
      bottomNavigationBarMutedUnselectedLabel: false,
      bottomNavigationBarSelectedIconSchemeColor: SchemeColor.secondary,
      bottomNavigationBarMutedUnselectedIcon: false,
      navigationBarSelectedLabelSchemeColor: SchemeColor.onSecondaryContainer,
      navigationBarSelectedIconSchemeColor: SchemeColor.onSecondaryContainer,
      navigationBarIndicatorSchemeColor: SchemeColor.secondaryContainer,
      navigationBarIndicatorOpacity: 1.00,
      navigationBarElevation: 1.0,
      navigationBarHeight: 72.0,
      navigationRailSelectedLabelSchemeColor: SchemeColor.onSecondaryContainer,
      navigationRailSelectedIconSchemeColor: SchemeColor.onSecondaryContainer,
      navigationRailIndicatorSchemeColor: SchemeColor.secondaryContainer,
      navigationRailIndicatorOpacity: 1.00,
    ),
    useMaterial3ErrorColors: true,
    visualDensity: FlexColorScheme.comfortablePlatformDensity,
    useMaterial3: true,
    // To use the Playground font, add GoogleFonts package and uncomment
    // fontFamily: GoogleFonts.notoSans().fontFamily,
  );

  static ThemeData lightMaterial =
      FlexThemeData.light(scheme: FlexScheme.material);
  static ThemeData darkMaterial =
      FlexThemeData.dark(scheme: FlexScheme.material);
}
