import 'package:flutter/material.dart';

class LoginAndSignupBtn extends StatelessWidget {
  const LoginAndSignupBtn({
    super.key,
    this.loginCallback,
    this.signupCallback,
  });

  final VoidCallback? loginCallback;
  final VoidCallback? signupCallback;

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Hero(
          tag: "login_btn",
          child: ElevatedButton(
            onPressed: loginCallback,
            style: ElevatedButton.styleFrom(
              elevation: 0,
              backgroundColor: Color(0xFFF1E6FF),
              shape: const StadiumBorder(),
              maximumSize: const Size(double.infinity, 56),
              minimumSize: const Size(double.infinity, 56),
            ),
            child: Text("Login".toUpperCase()),
          ),
        ),
        const SizedBox(height: 16),
        ElevatedButton(
          onPressed: signupCallback,
          style: ElevatedButton.styleFrom(
            elevation: 0,
            backgroundColor: Color(0xFFF1E6FF),
            shape: const StadiumBorder(),
            maximumSize: const Size(double.infinity, 56),
            minimumSize: const Size(double.infinity, 56),
          ),
          child: Text(
            "Sign Up".toUpperCase(),
            style: const TextStyle(color: Colors.black),
          ),
        ),
      ],
    );
  }
}
