import 'package:flutter/material.dart';

class WelcomeImage extends StatelessWidget {
  const WelcomeImage({
    super.key,
    this.contentHeightSpacing = 20,
    this.text = 'Change me',
    this.fontSize,
  });

  final String text;
  final double contentHeightSpacing;
  final double? fontSize;

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Text(
          text,
          style: TextStyle(
              fontSize: fontSize ??
                  Theme.of(context).textTheme.headlineMedium?.fontSize),
        ),
        SizedBox(height: contentHeightSpacing),
        Row(
          children: [
            const Spacer(),
            // Expanded(
            //   flex: 8,
            //   child:
            //       SvgPicture.asset("lib/inner/assets/icons/widgets/chat.svg"),
            // ),
            Image.asset('assets/inner/images/avatar.png'),
            const Spacer(),
          ],
        ),
      ],
    );
  }
}
